Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.async
Class AsynchronousEvent

    java.lang.Object
      org.jboss.seam.async.Asynchronous
          org.jboss.seam.async.AsynchronousEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TransactionCompletionEvent, TransactionSuccessEvent

    public class AsynchronousEvent

extends Asynchronous

An asynchronous event

Author:
  Gavin King
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.seam.async.Asynchronous
`Asynchronous.ContextualAsynchronousRequest`

Constructor Summary
`AsynchronousEvent(String type, Object[] parameters)`

Method Summary
`void` | `execute(Object timer)`
`protected String` | `getType()`
`protected void` | `handleException(Exception exception, Object timer)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsynchronousEvent

    public AsynchronousEvent(String type,
                             Object[] parameters)

Method Detail

### execute

    public void execute(Object timer)

  Specified by:
    `execute` in class `Asynchronous`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getType

    protected String getType()

### handleException

    protected void handleException(Exception exception,
                                   Object timer)

  Specified by:
    `handleException` in class `Asynchronous`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.